org.apache.poi.hssf.record.chart

## Class CategorySeriesAxisRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.chart.CategorySeriesAxisRecord

- All Implemented Interfaces:
    Duplicatable

      public final class CategorySeriesAxisRecord
      extends StandardRecord

  This record refers to a category or series axis and is used to specify label/tickmark frequency.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CategorySeriesAxisRecord()`
    `CategorySeriesAxisRecord(CategorySeriesAxisRecord other)`
    `CategorySeriesAxisRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CategorySeriesAxisRecord` | `clone()` Deprecated.
    `CategorySeriesAxisRecord` | `copy()`
    `short` | `getCrossingPoint()` Get the crossing point field for the CategorySeriesAxis record.
    `protected int` | `getDataSize()`
    `short` | `getLabelFrequency()` Get the label frequency field for the CategorySeriesAxis record.
    `short` | `getOptions()` Get the options field for the CategorySeriesAxis record.
    `short` | `getSid()` return the non static version of the id for this record.
    `short` | `getTickMarkFrequency()` Get the tick mark frequency field for the CategorySeriesAxis record.
    `boolean` | `isCrossesFarRight()` axis crosses at the far right
    `boolean` | `isReversed()` categories are displayed in reverse order
    `boolean` | `isValueAxisCrossing()` set true to indicate axis crosses between categories and false to cross axis midway
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setCrossesFarRight(boolean value)` Sets the crosses far right field value.
    `void` | `setCrossingPoint(short field_1_crossingPoint)` Set the crossing point field for the CategorySeriesAxis record.
    `void` | `setLabelFrequency(short field_2_labelFrequency)` Set the label frequency field for the CategorySeriesAxis record.
    `void` | `setOptions(short field_4_options)` Set the options field for the CategorySeriesAxis record.
    `void` | `setReversed(boolean value)` Sets the reversed field value.
    `void` | `setTickMarkFrequency(short field_3_tickMarkFrequency)` Set the tick mark frequency field for the CategorySeriesAxis record.
    `void` | `setValueAxisCrossing(boolean value)` Sets the value axis crossing field value.
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CategorySeriesAxisRecord

          public CategorySeriesAxisRecord()

    - #### CategorySeriesAxisRecord

          public CategorySeriesAxisRecord(CategorySeriesAxisRecord other)

    - #### CategorySeriesAxisRecord

          public CategorySeriesAxisRecord(RecordInputStream in)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public CategorySeriesAxisRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getCrossingPoint

          public short getCrossingPoint()

      Get the crossing point field for the CategorySeriesAxis record.

    - #### setCrossingPoint

          public void setCrossingPoint(short field_1_crossingPoint)

      Set the crossing point field for the CategorySeriesAxis record.

    - #### getLabelFrequency

          public short getLabelFrequency()

      Get the label frequency field for the CategorySeriesAxis record.

    - #### setLabelFrequency

          public void setLabelFrequency(short field_2_labelFrequency)

      Set the label frequency field for the CategorySeriesAxis record.

    - #### getTickMarkFrequency

          public short getTickMarkFrequency()

      Get the tick mark frequency field for the CategorySeriesAxis record.

    - #### setTickMarkFrequency

          public void setTickMarkFrequency(short field_3_tickMarkFrequency)

      Set the tick mark frequency field for the CategorySeriesAxis record.

    - #### getOptions

          public short getOptions()

      Get the options field for the CategorySeriesAxis record.

    - #### setOptions

          public void setOptions(short field_4_options)

      Set the options field for the CategorySeriesAxis record.

    - #### setValueAxisCrossing

          public void setValueAxisCrossing(boolean value)

      Sets the value axis crossing field value. set true to indicate axis crosses between categories and false to cross axis midway

    - #### isValueAxisCrossing

          public boolean isValueAxisCrossing()

      set true to indicate axis crosses between categories and false to cross axis midway
      Returns:
        the value axis crossing field value.

    - #### setCrossesFarRight

          public void setCrossesFarRight(boolean value)

      Sets the crosses far right field value. axis crosses at the far right

    - #### isCrossesFarRight

          public boolean isCrossesFarRight()

      axis crosses at the far right
      Returns:
        the crosses far right field value.

    - #### setReversed

          public void setReversed(boolean value)

      Sets the reversed field value. categories are displayed in reverse order

    - #### isReversed

          public boolean isReversed()

      categories are displayed in reverse order
      Returns:
        the reversed field value.

    - #### copy

          public CategorySeriesAxisRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.